GET Custom Fields
curl --request GET \
--url https://api.rippling.com/platform/api/custom_fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rippling.com/platform/api/custom_fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rippling.com/platform/api/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"type": "SELECT",
"title": "What is your race / ethnicity?",
"caption": null,
"required": false
},
{
"type": "SELECT",
"title": "Veteran Status",
"caption": null,
"required": false
},
{
"type": "SELECT",
"title": "What is your Gender?",
"caption": null,
"required": false
},
{
"type": "SELECT",
"title": "Disability Status",
"caption": null,
"required": false
},
{
"type": "SELECT",
"title": "How will this employee be classified for EEO reporting?",
"caption": null,
"required": true
},
{
"type": "NUMBER",
"title": "Data2",
"caption": null,
"required": true
},
{
"type": "DATE",
"title": "Data1",
"caption": null,
"required": true
},
{
"type": "TEXTAREA",
"title": "Data3",
"caption": null,
"required": true
},
{
"type": "TEXT",
"title": "Data4",
"caption": null,
"required": true
},
{
"type": "TEXT",
"title": "send notification again",
"caption": null,
"required": true
},
{
"type": "FILE",
"title": "offboard",
"caption": null,
"required": true
},
{
"type": "TEXT",
"title": "severance test variable",
"caption": null,
"required": false
},
{
"type": "TEXT",
"title": "Favorite Animal",
"caption": null,
"required": true
},
{
"type": "TEXT",
"title": "additional variable",
"caption": null,
"required": true
}
]A. Companies
GET Custom Fields
Returns the custom fields for the given company.
GET
/
platform
/
api
/
custom_fields
GET Custom Fields
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Sets a limit on the returned values
Offsets the returned values
Response
200 - application/json
OK
The identifier of the specific custom field.
Denotes the type of the custom field.
Available options:
TEXT, DATE, NUMBER, CURRENCY, PERCENTAGE, SELECT, FILE, ID, RADIO, TEXTAREA The title of the custom field.
Denotes whether the custom field is or is not mandatory
⌘I